' *********************************************************
'                        Tt1test.Bas
'             (c) 1990 W.Kehr/Th.Frins & toolbox
'         Testprogramm fr die Routinen in Tools1.Bas
'       Starten durch die Option "MERGE" mit Tools1.bas
' *********************************************************
DECLARE SUB HellBlinken ()
DECLARE SUB Unterstrichen ()
DECLARE SUB Hell ()
DECLARE SUB Normal ()
DECLARE SUB Blinken ()
DECLARE SUB Invers ()
DECLARE SUB BildLoeschen (ZeileLinksOben%, SpalteLinksOben%, ZeileRechtsUnten%, SpalteRechtsUnten%, LoeschZeichen$)
DECLARE SUB Rahmen (ZeileLinksOben%, SpalteLinksOben%, ZeileRechtsUnten%, SpalteRechtsUnten%, RahmenZeichen$)
DECLARE SUB InputNeu (vorgabe$, gueltig$, typ$, laenge%, nachkomma%, zeile%, spalte%)
DECLARE SUB Pruefuebergabe (zeile%, spalte%, typ$, laenge%, nachkomma%, gueltig$, vorgabe$, vorzeichen%, komma%, fehler%)
DECLARE SUB Warten (ZeilenNr%)
DECLARE SUB Numerisch (komma%, vorzeichen%, einfmerker%, eingabe$, laenge%, position%, v$)
DECLARE SUB Zeichen (einfmerker%, eingabe$, laenge%, position%, v$)
DECLARE SUB Sonder (typ$, vorzeichen%, komma%, cursor%, einfmerker%, eingabe$, laenge%, position%, v$)
DECLARE SUB Fehlmeld (ZeilenNr%, Fehlertext$)

DECLARE FUNCTION BalkenMenue% (ZeilenNr%, SpaltenNr%, Elemente%, ErsteWahl%, abstand%, Optionen$())
DECLARE FUNCTION ZeilenMenue% (ZeilenNr%, SpaltenNr%, Elemente%, ErsteWahl%, Optionen$())

CONST ZAHLEN$ = "1234567890+-.,"  'ZEICHEN FR ZAHLENEINGABE
CONST BUCHSTABEN$ = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"
'CONST SondZeichen$ = " !$%&/()=?[]{}|'`*,.-:;_<>\+-^@~"
SondZeichen$ = " !$%&/()=?[]{}|'`*,.-:;_<>\+-^@~" + CHR$(34)
DIM I AS INTEGER

ALLE$ = ""
FOR I = 1 TO 255
    IF I <> 13 AND I <> 27 THEN ALLE$ = ALLE$ + CHR$(I)
NEXT I

'Testen der Attribut-Prozeduren

CLS
PRINT "Ein Normaler Text"
CALL Hell
PRINT "Jetzt wirds Hell"
CALL Normal
PRINT "Zurck zur Normalitt"
CALL Blinken
PRINT "Blinken geht auf den Geist"
HellBlinken
PRINT "Hellblinken noch mehr"
Normal
PRINT "Normalitt ist nicht immer das Schlechteste"
Unterstrichen
PRINT "Unterstrichenes wirkt hervorgehoben"
PRINT
Invers
PRINT "Invers - auch Revers genannt - braucht man oft"
Normal
PRINT "Schlu mit dem Zauber"

Warten (24)

'Testen der Rahmen- und BildLoeschen - Prozeduren

CLS
CALL Fehlmeld(24, "Rahmen-Test luft.....")
FOR I = 1 TO 22
    IF wert% < 176 THEN wert% = 179
    IF I < 23 - I THEN
        Rahmen I, I, 23 - I, 80 - I, CHR$(wert%)
    ELSE
        Rahmen 23 - I, I, I, 80 - I, CHR$(wert%)
    END IF
    wert% = wert% - 1
    Warten (24)
NEXT I
CALL Fehlmeld(24, "BildLoeschen-Test luft.....")
wert2% = 32
wert% = 219
FOR I = 1 TO 11
    SWAP wert2%, wert%
    CALL BildLoeschen(I, I, 23 - I, 80 - I, CHR$(wert2%))
    Warten (24)
NEXT I

'Testen der Menue-Funktionen

DIM ZeilenOptionen$(4)
ZeilenOptionen$(0) = "Artikel bearbeiten"
ZeilenOptionen$(1) = "Artikel suchen"
ZeilenOptionen$(2) = "Drucken"
ZeilenOptionen$(3) = "Dienste"
ZeilenOptionen$(4) = "Programmende"

DIM BearbeitOptionen$(3)
BearbeitOptionen$(0) = "Eingabe neuer Artikel"
BearbeitOptionen$(1) = "ndern von Artikeln"
BearbeitOptionen$(2) = "Lschen von Artikeln"
BearbeitOptionen$(3) = "Zurck"

CLS
Wahl% = ZeilenMenue%(4, 2, 5, 1, ZeilenOptionen$())
LOCATE 20, 1: PRINT "Gewhlt wurde "; : Hell: PRINT ZeilenOptionen$(Wahl% - 1)
Warten (24)
BalkenWahl% = BalkenMenue%(8, 26, 4, 2, 3, BearbeitOptionen$())
LOCATE 21, 1: PRINT "Gewhlt wurde "; : Hell: PRINT BearbeitOptionen$(BalkenWahl% - 1)
Warten (24)

'Testen der Eingaberoutine InputNeu mit Ihren Unterprozeduren

'InputNeu (vorgabe$, gueltig$, typ$, laenge%, nachkomma%, zeile%, spalte%)
CLS
PRINT "1.Aufruf"
CALL InputNeu("!!!!!!!", BUCHSTABEN$, "n", 10, 3, 10, 20)
CLS
PRINT "2.Aufruf"
CALL InputNeu("Textkonstante", SondZeichen$, "n", 10, 3, 10, 20)
CLS
PRINT "3.Aufruf"
CALL InputNeu("Textkonstante", BUCHSTABEN$, "i", 10, 3, 10, 20)
CLS
PRINT "4.Aufruf"
CALL InputNeu("Textkonstante", BUCHSTABEN$, "a", 25, 0, 30, 20)
CLS
PRINT "5.Aufruf"
CALL InputNeu("100-800", ZAHLEN$, "n", 25, 0, 10, 90)
CLS
PRINT "6.Aufruf"
CALL InputNeu("100,80.0", ZAHLEN$, "n", 25, 0, 10, 20)
CLS
PRINT "7.Aufruf"
CALL InputNeu("1,80", ZAHLEN$, "n", 3, 2, 10, 20)
'Jetzt auch mal gltige Aufrufe
CLS
PRINT "8.Aufruf"
CALL InputNeu("121.67", ZAHLEN$, "n", 10, 2, 10, 20)
CLS
PRINT "9.Aufruf"
CALL InputNeu("121.67", "1234567", "n", 10, 2, 10, 20)
CLS
PRINT "10.Aufruf"
CALL InputNeu("Max ist doof !!!", BUCHSTABEN$, "c", 30, 2, 10, 20)

